> For the complete documentation index, see [llms.txt](https://docs.realmjoin.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.realmjoin.com/ja/zi-dong-hua/runbooks/runbook-references/org/general/office365-license-report.md).

# Office 365 ライセンス レポート

### 説明

この runbook は、Microsoft 365 サブスクリプション SKU に基づくライセンス レポートを作成し、必要に応じて Exchange Online 関連のレポートも含めます。結果は Azure Storage にエクスポートし、ダウンロード用の SAS リンクを生成できます。

### 場所

組織 → 全般 → Office365 ライセンス レポート

**完全な Runbook 名**

rjgit-org\_general\_office365-license-report

### アクセス許可

#### アプリケーションのアクセス許可

* **種類**: Microsoft Graph
  * Reports.Read.All
  * Directory.Read.All
  * User.Read.All
  * ReportSettings.ReadWrite.All

### パラメーター

#### printOverview

true に設定すると、簡単なライセンス使用状況の概要を出力します。

| プロパティ | 値     |
| ----- | ----- |
| 必須    | false |
| 既定値   | True  |
| 種類    | ブール値  |

#### includeExchange

true に設定すると、Exchange Online 関連のレポート（共有メールボックスのライセンス）を含めます。

| プロパティ | 値     |
| ----- | ----- |
| 必須    | false |
| 既定値   | False |
| 種類    | ブール値  |

#### includeUserData

true に設定すると、Microsoft 365 レポートのプライバシー設定が一時的に無効化され（現在有効な場合）、Graph アクティビティ レポートに UPN などの実際のユーザーデータを含めます。設定は実行後、常に元の状態に戻されます。注意: このオプションを有効にすると、エクスポートされたレポートに個人を特定できる情報（UPN）が公開されます。使用前に、組織のデータ保護ポリシーに準拠していることを確認してください。

| プロパティ | 値     |
| ----- | ----- |
| 必須    | false |
| 既定値   | False |
| 種類    | ブール値  |

#### exportToFile

true に設定すると、構成されている場合にレポートを Azure Storage にエクスポートします。

| プロパティ | 値     |
| ----- | ----- |
| 必須    | false |
| 既定値   | True  |
| 種類    | ブール値  |

#### exportAsZip

true に設定すると、レポートを 1 つの ZIP ファイルとしてエクスポートします。

| プロパティ | 値     |
| ----- | ----- |
| 必須    | false |
| 既定値   | False |
| 種類    | ブール値  |

#### produceLinks

true に設定すると、エクスポートされた成果物用の SAS トークン/リンクを作成します。

| プロパティ | 値     |
| ----- | ----- |
| 必須    | false |
| 既定値   | True  |
| 種類    | ブール値  |

#### コンテナー名

アップロードに使用される Storage Account コンテナー名。

| プロパティ | 値                        |
| ----- | ------------------------ |
| 必須    | false                    |
| 既定値   | rjrb-licensing-report-v2 |
| 種類    | 文字列                      |

#### リソース グループ名

Storage Account を含むリソース グループ。

| プロパティ | 値     |
| ----- | ----- |
| 必須    | false |
| 既定値   |       |
| 種類    | 文字列   |

#### StorageAccountName

アップロードに使用する Storage Account 名。レポートを実行する前に、そのアカウントが存在している必要があります。

| プロパティ | 値     |
| ----- | ----- |
| 必須    | false |
| 既定値   |       |
| 種類    | 文字列   |

#### サブスクリプション ID

Storage 操作に使用される Azure サブスクリプション ID。

| プロパティ | 値     |
| ----- | ----- |
| 必須    | false |
| 既定値   |       |
| 種類    | 文字列   |

[Runbook リファレンスの概要に戻る](/ja/zi-dong-hua/runbooks/runbook-references.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.realmjoin.com/ja/zi-dong-hua/runbooks/runbook-references/org/general/office365-license-report.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
